<div class="ibox-form-container mb-0" >
  <!-- type contact-->
  <div class="ibox-title p-2">
    <div class="ibox-title-child"><i class="ri-contacts-line title_icone"></i>
      {{"BREADCRUMBS.CONTACT_MANAGEMENT.NEW_CONTACT"|translate}}</div>
  </div>
  <!-- 2 div -> pp/pm-->
  <div class="card-body p-2">

    <div id="general-informations-body" class="collapse show">

      <div class="p-2">

        <form [formGroup]="formGroup" autocomplete="off">
          <label class="w-auto legend">{{'FIELD.CONTACT_TYPE'|translate}}</label>
          <fieldset class="border form">
            <div class="row">
              <div class="col-md-3">
                <ngx-select [items]="contactTypeList" [optionValueField]="'code'" [optionTextField]="'label'"
                            formControlName="contactType" [placeholder]="'FIELD.COMPTE_TYPE'|translate" size='small'
                            [ngClass]="{'disabled': formGroup.get('contactType').disabled}">
                </ngx-select>
              </div>
            </div>
          </fieldset>
        </form>

        <!-- contact pp -->
        <form *ngIf="formGroup?.get('contactType')?.value === 'PP'" autocomplete="off"
              [formGroup]="contactPPForm" (ngSubmit)="onSubmitContactPP()" (reset)="onReset()">

          <label class="w-auto legend">Informations générales</label>

          <fieldset class="border form">

          <div class="row">

            <div class="col-md-3">
              <ngx-select [items]="civilitesList"
                          [optGroupLabelField]="'No Items Selected'"
                          [optionValueField]="'code'"
                          [optionTextField]="'value'"
                          formControlName="civilite"
                          size='small'
                          [placeholder]="'FIELD.CONTACT_PP.CIVILITE'|translate"
                          [ngClass]="{'disabled': contactPPForm.get('civilite').disabled}">
              </ngx-select>

              <div class="text-danger" *ngIf="contactPPForm?.get('civilite')?.invalid && showValidationMsgs">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

            <div class="col-md-3">
              <input type="text" class="form-control form-control-sm" formControlName="nom" maxlength="24"
                     pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.CONTACT_PP.NOM'|translate">

              <div *ngIf="contactPPForm.get('nom').invalid && showValidationMsgs">
                <div *ngIf="contactPPForm.get('nom').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPPForm.get('nom').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3">
              <input type="text" class="form-control form-control-sm" formControlName="prenom" maxlength="24"
                     pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.CONTACT_PP.PRENOM'|translate">

              <div *ngIf="contactPPForm.get('prenom').invalid && showValidationMsgs">
                <div *ngIf="contactPPForm.get('prenom').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPPForm.get('prenom').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3">
              <input type="text" class="form-control form-control-sm" formControlName="dateNaissance"
                     [owlDateTime]="dt" [placeholder]="'FIELD.CONTACT_PP.DATE_NAIS'|translate">
              <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt"
                    [title]="'FIELD.PLEASE.CHOOSE'|translate">
                              <i class="ri-calendar-line"></i>
                          </span>
              <owl-date-time #dt [pickerType]="'calendar'"></owl-date-time>

              <div *ngIf="contactPPForm?.get('dateNaissance')?.invalid && showValidationMsgs"
                   class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

          </div>

          <div class="row">

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="nomPrenomPere" maxlength="24"
                     pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.CONTACT_PP.NOM_PERE'|translate">

              <div *ngIf="contactPPForm.get('nomPrenomPere').invalid && showValidationMsgs">
                <div *ngIf="contactPPForm.get('nomPrenomPere').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="nomPrenomMere" maxlength="24"
                     pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.CONTACT_PP.NOM_MERE'|translate">

              <div *ngIf="contactPPForm.get('nomPrenomMere').invalid && showValidationMsgs">
                <div *ngIf="contactPPForm.get('nomPrenomMere').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="number" class="form-control form-control-sm" formControlName="mobile1" maxlength="14"
                     pattern="[0-9\+ ]+" [placeholder]="'FIELD.CONTACT_PP.MOBILE'|translate">

              <div *ngIf="contactPPForm.get('mobile1').invalid && showValidationMsgs">
                <div *ngIf="contactPPForm.get('mobile1').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPPForm.get('mobile1').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="mobile2" maxlength="14"
                     pattern="[0-9\+ ]+" [placeholder]="'FIELD.CONTACT_PP.MOBILE2'|translate">

              <div *ngIf="contactPPForm.get('mobile2').invalid && showValidationMsgs">
                <div *ngIf="contactPPForm.get('mobile2').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                </div>
              </div>
            </div>

          </div>

          <div class="row">

            <div class="col-md-3 mt-3">
              <input type="email" class="form-control form-control-sm" formControlName="email"
                     pattern="[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$" [placeholder]="'FIELD.CONTACT_PP.EMAIL'|translate">

              <div *ngIf="contactPPForm.get('email').invalid && showValidationMsgs">
                <div *ngIf="contactPPForm.get('email').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_EMAIL'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="adresse1"
                     maxlength="256" [placeholder]="'FIELD.CONTACT_PP.ADRESSE'|translate">

              <div *ngIf="contactPPForm?.get('adresse1')?.invalid && showValidationMsgs"
                   class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="adresse2"
                     [placeholder]="'FIELD.CONTACT_PP.ADRESSE2'|translate" maxlength="256">
            </div>

            <div class="col-md-3 mt-3">
              <ngx-select
                [items]="nationalitesList"
                [optionValueField]="'code'"
                [optionTextField]="'value'" formControlName="nationalite"
                [placeholder]="'FIELD.CONTACT_PP.NATIONALITE'|translate" size='small'
                [ngClass]="{'disabled': contactPPForm.get('nationalite').disabled}">
              </ngx-select>

              <div *ngIf="contactPPForm.get('nationalite').invalid && showValidationMsgs">
                <div *ngIf="contactPPForm.get('nationalite').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>
            </div>

          </div>

          <div class="row">

            <div class="col-md-3 mt-3">
              <ngx-select
                [items]="typeResidenceList"
                [optionValueField]="'code'"
                [optionTextField]="'value'" formControlName="typeResidence"
                [placeholder]="'FIELD.CONTACT_PP.RESIDENCE_TYPE'|translate" size='small'
                [ngClass]="{'disabled': contactPPForm.get('typeResidence').disabled}">
              </ngx-select>

              <div *ngIf="contactPPForm?.get('typeResidence')?.invalid && showValidationMsgs"
                   class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <ngx-select
                [items]="paysResidenceList"
                [optionValueField]="'code'"
                [optionTextField]="'value'" formControlName="paysResidence"
                [placeholder]="'FIELD.CONTACT_PP.PAYS_RESIDENCE'|translate" size='small'
                [ngClass]="{'disabled': contactPPForm.get('paysResidence').disabled}">
              </ngx-select>

              <div *ngIf="contactPPForm?.get('paysResidence')?.invalid && showValidationMsgs" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="ville" maxlength="24"
                     pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.CONTACT_PP.VILLE'|translate">

              <div *ngIf="contactPPForm.get('ville').invalid && showValidationMsgs">
                <div *ngIf="contactPPForm.get('ville').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPPForm.get('ville').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="number" class="form-control form-control-sm" formControlName="codePostale"
                     [placeholder]="'FIELD.CONTACT_PP.CODE_POSTAL'|translate" maxlength="5">

              <div *ngIf="contactPPForm?.get('codePostale')?.invalid && showValidationMsgs"
                   class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

          </div>

          <div class="row">

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="profilRisque"
                     [placeholder]="'FIELD.CONTACT_PP.PROFIL_RISQUE'|translate" maxlength="24">

              <div *ngIf="contactPPForm?.get('profilRisque')?.invalid && showValidationMsgs"
                   class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="statutPPE"
                     [placeholder]="'FIELD.CONTACT_PP.STATUT_PPE'|translate" maxlength="24">

              <div *ngIf="contactPPForm?.get('statutPPE')?.invalid && showValidationMsgs"
                   class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="rcRn" maxlength="24"
                     pattern="[A-Za-z0-9 ]+" [placeholder]="'FIELD.CONTACT_PP.RCRN'|translate">

              <div *ngIf="contactPPForm.get('rcRn').invalid && showValidationMsgs">
                <div *ngIf="contactPPForm.get('rcRn').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPPForm.get('rcRn').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="numTaxePro" maxlength="24"
                     pattern="[A-Za-z0-9 ]+" [placeholder]="'FIELD.CONTACT_PP.NUM_TAX_PRO'|translate">

              <div *ngIf="contactPPForm.get('numTaxePro').invalid && showValidationMsgs">
                <div *ngIf="contactPPForm.get('numTaxePro').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPPForm.get('numTaxePro').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                </div>
              </div>
            </div>

          </div>

          <div class="row">

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="tribImmatricule" maxlength="24"
                     pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.CONTACT_PP.TRIB_IMMAT'|translate">

              <div *ngIf="contactPPForm.get('tribImmatricule').invalid && showValidationMsgs">
                <div *ngIf="contactPPForm.get('tribImmatricule').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPPForm.get('tribImmatricule').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <ngx-select
                [items]="piecesIdentitesList"
                [optionValueField]="'code'"
                [optionTextField]="'value'" formControlName="pieceIdentite"
                [placeholder]="'FIELD.CONTACT_PP.PIECE_IDENTITE'|translate" size='small'
                [ngClass]="{'disabled': contactPPForm.get('pieceIdentite').disabled}">
              </ngx-select>

              <div *ngIf="contactPPForm?.get('pieceIdentite')?.invalid && showValidationMsgs"
                   class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="numPI" maxlength="24"
                     pattern="[A-Za-z0-9 ]+" [placeholder]="'FIELD.CONTACT_PP.NUM_PI'|translate">

              <div *ngIf="contactPPForm.get('numPI').invalid && showValidationMsgs">
                <div *ngIf="contactPPForm.get('numPI').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPPForm.get('numPI').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="emetteurPI" maxlength="24"
                     pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.CONTACT_PP.EMETTEUR_PI'|translate">

              <div *ngIf="contactPPForm.get('emetteurPI').invalid && showValidationMsgs">
                <div *ngIf="contactPPForm.get('emetteurPI').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPPForm.get('emetteurPI').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

          </div>

          <div class="row">

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="dateEmiPI"
                     [placeholder]="'FIELD.CONTACT_PP.DATE_EMI_PI'|translate"
                     [owlDateTime]="depi" [max]="contactPPForm?.get('dateFinQualite')?.value">

              <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="depi"
                    [title]="'FIELD.PLEASE.CHOOSE'|translate">
                              <i class="ri-calendar-line"></i></span>
              <owl-date-time #depi [pickerType]="'calendar'"></owl-date-time>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="dateExiPI"
                     [placeholder]="'FIELD.CONTACT_PP.DATE_EXP_PI'|translate"
                     [owlDateTime]="dxpi" [max]="contactPPForm?.get('dateFinQualite')?.value">

              <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dxpi"
                    [title]="'FIELD.PLEASE.CHOOSE'|translate">
                              <i class="ri-calendar-line"></i></span>
              <owl-date-time #dxpi [pickerType]="'calendar'"></owl-date-time>
            </div>

          </div>

          </fieldset>
        </form>
        <!-- end contact pp -->

        <!-- contact pm -->
        <form *ngIf="formGroup?.get('contactType')?.value === 'PM'" autocomplete="off"
              [formGroup]="contactPMForm" (ngSubmit)="onSubmitContactPM()" (reset)="onReset()">

          <label class="w-auto legend">Informations générales</label>

          <fieldset class="border form">

          <div class="row">

            <div class="col-md-3">
              <input type="text" class="form-control form-control-sm" formControlName="raisonSociale" maxlength="100"
                     pattern="[A-Za-z0-9 ]+" [placeholder]="'FIELD.CONTACT_PM.RAISON_SOCIAL'|translate">

              <div *ngIf="contactPMForm.get('raisonSociale').invalid && showValidationMsgs">
                <div *ngIf="contactPMForm.get('raisonSociale').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPMForm.get('raisonSociale').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3">
              <ngx-select [items]="formeJuridiqueList"
                [optionValueField]="'code'"
                [optionTextField]="'value'" formControlName="formeJuridique"
                [placeholder]="'FIELD.CONTACT_PM.FORME_JURI'|translate" size='small'
                [ngClass]="{'disabled': contactPMForm.get('formeJuridique').disabled}">
              </ngx-select>

              <div *ngIf="contactPMForm?.get('formeJuridique')?.invalid && showValidationMsgs"
                   class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

            <div class="col-md-3">
              <input type="text" class="form-control form-control-sm" formControlName="agrementDelivrance"
                     maxlength="24" pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.CONTACT_PM.AGREMENT_DELIV'|translate">

              <div *ngIf="contactPMForm.get('agrementDelivrance').invalid && showValidationMsgs">
                <div *ngIf="contactPMForm.get('agrementDelivrance').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPMForm.get('agrementDelivrance').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3">
              <input type="text" class="form-control form-control-sm" formControlName="tribImmatricule" maxlength="24"
                     pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.CONTACT_PM.TRIB_IMMAT'|translate">

              <div *ngIf="contactPMForm.get('tribImmatricule').invalid && showValidationMsgs">
                <div *ngIf="contactPMForm.get('tribImmatricule').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPMForm.get('tribImmatricule').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

          </div>

          <div class="row">

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="statutPPE"
                     [placeholder]="'FIELD.CONTACT_PM.STATUT_PPE'|translate" maxlength="24">

              <div *ngIf="contactPMForm?.get('statutPPE')?.invalid && showValidationMsgs"
                   class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="statutFatca"
                     [placeholder]="'FIELD.CONTACT_PM.STATUT_FATCA'|translate" maxlength="24">

              <div *ngIf="contactPMForm?.get('statutFatca')?.invalid && showValidationMsgs"
                   class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="number" class="form-control form-control-sm" formControlName="mobile1" maxlength="14"
                     pattern="[0-9\+ ]+" [placeholder]="'FIELD.CONTACT_PM.MOBILE'|translate">

              <div *ngIf="contactPMForm.get('mobile1').invalid && showValidationMsgs">
                <div *ngIf="contactPMForm.get('mobile1').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPMForm.get('mobile1').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="mobile2" maxlength="14"
                     pattern="[0-9\+ ]+" [placeholder]="'FIELD.CONTACT_PM.MOBILE2'|translate">

              <div *ngIf="contactPMForm.get('mobile2').invalid && showValidationMsgs">
                <div *ngIf="contactPMForm.get('mobile2').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                </div>
              </div>
            </div>

          </div>

          <div class="row">

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="fax" maxlength="14"
                     pattern="[0-9\+ ]+" [placeholder]="'FIELD.CONTACT_PM.FAX'|translate">

              <div *ngIf="contactPMForm.get('fax').invalid && showValidationMsgs">
                <div *ngIf="contactPMForm.get('fax').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="email" class="form-control form-control-sm" formControlName="email"
                     pattern="[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$"
                     [placeholder]="'FIELD.CONTACT_PM.EMAIL'|translate">

              <div *ngIf="contactPMForm.get('email').invalid && showValidationMsgs">
                <div *ngIf="contactPMForm.get('email').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_EMAIL'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="ville" maxlength="24"
                     pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.CONTACT_PM.VILLE'|translate">

              <div *ngIf="contactPMForm.get('ville').invalid && showValidationMsgs">
                <div *ngIf="contactPMForm.get('ville').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPMForm.get('ville').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="number" class="form-control form-control-sm" formControlName="codePostale"
                     [placeholder]="'FIELD.CONTACT_PM.CODE_POSTAL'|translate" maxlength="6">

              <div *ngIf="contactPMForm?.get('codePostale')?.invalid && showValidationMsgs"
                   class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

          </div>

          <div class="row">

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="adresse1"
                     [placeholder]="'FIELD.CONTACT_PM.ADRESSE'|translate" maxlength="256">

              <div *ngIf="contactPMForm?.get('adresse1')?.invalid && showValidationMsgs"
                   class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="idFiscal" maxlength="24"
                     pattern="[A-Za-z0-9 ]+" [placeholder]="'FIELD.CONTACT_PM.ID_FISCAL'|translate">

              <div *ngIf="contactPMForm.get('idFiscal').invalid && showValidationMsgs">
                <div *ngIf="contactPMForm.get('idFiscal').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPMForm.get('idFiscal').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="rc" maxlength="24"
                     pattern="[A-Za-z0-9 ]+" [placeholder]="'FIELD.CONTACT_PM.RC'|translate">

              <div *ngIf="contactPMForm.get('rc').invalid && showValidationMsgs">
                <div *ngIf="contactPMForm.get('rc').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPMForm.get('rc').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="ice" maxlength="24"
                     pattern="[A-Za-z0-9 ]+" [placeholder]="'FIELD.CONTACT_PM.ICE'|translate">

              <div *ngIf="contactPMForm.get('ice').invalid && showValidationMsgs">
                <div *ngIf="contactPMForm.get('ice').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPMForm.get('ice').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                </div>
              </div>
            </div>

          </div>

          <div class="row">

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="numTaxePro" maxlength="24"
                     pattern
                       ="[A-Za-z0-9 ]+" [placeholder]="'FIELD.CONTACT_PM.NUM_TAX_PRO'|translate">

              <div *ngIf="contactPMForm.get('numTaxePro').invalid && showValidationMsgs">
                <div *ngIf="contactPMForm.get('numTaxePro').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="contactPMForm.get('numTaxePro').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-3 mt-3">
              <input type="text" class="form-control form-control-sm" formControlName="profilRisque"
                     [placeholder]="'FIELD.CONTACT_PM.PROFIL_RISQUE'|translate" maxlength="24">

              <div *ngIf="contactPMForm?.get('profilRisque')?.invalid && showValidationMsgs"
                   class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

          </div>

          </fieldset>
        </form>
        <!-- end contact pm -->

      </div>

      <!-- buttons next/previos -->
      <div class="p-2 text-right">

        <button type="button" class="reset-button  buttons-oriontation btn btn-sm mr-2" [title]="'FIELD.BUTTONS.RESET'|translate"
                (click)="onReset()"><i class="ri-arrow-go-back-line"></i> </button>
        <button type="button" class="submit-button btn  btn-sm" [title]="'FIELD.BUTTONS.SAVE'|translate"><i
            class="ri-save-line" (click)="onSubmit()"></i></button>

      </div>
      <!-- end buttons next/previos -->
    </div>

  </div>
</div>
